import colors from './colors';

const theme = {
  fontSize: {
    'xxsmall': 11,
    'xsmall': 12.5,
    'small': 14,
    'medium': 16,
    'large': 20,
    'xlarge': 26,
    'xxlarge': 32,
  },
  size: {
    'xxsmall': 10,
    'xsmall': 12,
    'small': 14,
    'medium': 16,
    'large': 18,
    'xlarge': 20,
    'xxlarge': 22,
  },
  actionButtonSize: {
    'xxsmall': 30,
    'xsmall': 40,
    'small': 50,
    'medium': 60,
    'large': 70,
    'xlarge': 80,
    'xxlarge': 90,
  },
  buttonSize: {
    'xxsmall': 8,
    'xsmall': 10,
    'small': 12,
    'medium': 14,
    'large': 16,
    'xlarge': 18,
    'xxlarge': 20,
  },
  buttonWidth: {
    'xxsmall': 100,
    'xsmall': 120,
    'small': 140,
    'medium': 160,
    'large': 180,
    'xlarge': 200,
    'xxlarge': 220,
  },
  iconSize: {
    'xxsmall': 16,
    'xsmall': 18,
    'small': 22,
    'medium': 26,
    'large': 28,
    'xlarge': 32,
    'xxlarge': 36,
  },
  avatarSize: {
    'xxsmall': 40,
    'xsmall': 60,
    'small': 80,
    'medium': 90,
    'large': 110,
    'xlarge': 120,
    'xxlarge': 140,
  },
  badgeSize: {
    'xxsmall': 10,
    'xsmall': 11,
    'small': 12,
    'medium': 13,
    'large': 14,
    'xlarge': 16,
    'xxlarge': 18,
  },
  miniBadgeSize: {
    'xxsmall': 10,
    'xsmall': 11,
    'small': 12,
    'medium': 15,
    'large': 17,
    'xlarge': 19,
    'xxlarge': 21,
  },
  listItemSpace: {
    'xxsmall': 5,
    'xsmall': 7.5,
    'small': 10,
    'medium': 12,
    'large': 14,
    'xlarge': 16,
    'xxlarge': 18,
  },
  space: {
    'none': 0,
    'xxsmall': 2.5,
    'xsmall': 5,
    'small': 7.5,
    'medium': 10,
    'large': 12.5,
    'xlarge': 15,
    'xxlarge': 20,
  },
  layoutSpace: {
    'none': 0,
    'xxsmall': 5,
    'xsmall': 10,
    'small': 12,
    'medium': 16,
    'large': 20,
    'xlarge': 24,
    'xxlarge': 32,
  },
  indicatorSize: {
    'xxsmall': 0.8,
    'xsmall': 0.9,
    'small': 1,
    'medium': 1.1,
    'large': 1.25,
    'xlarge': 1.5,
    'xxlarge': 1.7,
  },
  fontFamily: {
    'heading': 'FontAwesome',
    'text': 'FontAwesome',
  },
  textColor: {
    'default': colors.black[300],
    'heading': colors.black[800],
    'subtle': colors.black[100],
    'grey': colors.grey[600],
    'disabled': colors.bluegrey[400],
    'white': colors.blue[50],
  },
  brandColor: {
    'primary': colors.red[500],
    'secondary': colors.yellow[800],
    'tertiary': colors.red[600],
    'background': '#f8f8f8',
    'disabled': colors.bluegrey[100],
    'white': colors.blue[50],
    'semitransparent': 'rgba(0, 0, 0, 0.3)',
    'grey': colors.grey[200],
    'clearWhite': '#fff',
    'outline': colors.grey[400],
  },
};

export default theme;

